package ejem02;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;


public class rectaApplet extends Applet implements ActionListener{
	rectangulo rto;

	Panel pan = new Panel();
	Button b[] = new Button[9];
	Color color = new Color(60,240,60);

	/*funciones de conexion con java script*/
	public void left()   { rto.moveLeft(10);  }
	public void right()  { rto.moveRight(10);  }
	public void up()     { rto.moveUp(10);  }
	public void down()   { rto.moveDown(10);  }
	public void incAlto()   { rto.incAlto(5);  }
	public void incAncho()   { rto.incAncho(5);  }
	public void decAlto()   { rto.decAlto(5);  }
	public void decAncho()   { rto.decAncho(5);  }
	public void intercambia()   { rto.intercambia();  }
	public void redraw() { repaint();  }
	
	
	public void init(){
		b[0]=new Button("X-");
		b[1]=new Button("X+");
		b[2]=new Button("Y+");
		b[3]=new Button("Y-");
		b[4]=new Button("ancho+");
		b[5]=new Button("ancho-");
		b[6]=new Button("alto+");
		b[7]=new Button("alto-");
		b[8]=new Button("intercambia");
		
		setBackground(Color.blue);
		setLayout(new BorderLayout());
		add("South",pan);
		pan.setLayout(new GridLayout(1,6));
		for(int i=0;i<9;i++){
			pan.add(b[i]);
			b[i].addActionListener(this);
		}

	}
	public void start(){
		rto = new rectangulo(getSize().width/4, getSize().height/3,getSize().width/2,getSize().height/3);
	}

	public void actionPerformed(ActionEvent e){
		for (int i=0;i<9;i++) {
			if (e.getSource()==b[i]) {
				switch (i) {
				case 0 : left();  break;
				case 1 : right(); break;
				case 2 : down();  break;
				case 3 : up();    break;
				case 4 : incAncho();  break;
				case 5 : decAncho();  break;
				case 6 : incAlto();  break;
				case 7 : decAlto();  break;
				case 8 : intercambia();  break;
				}
				repaint();
				break;
			}
		}
	

	}
	public void paint(Graphics g){
		g.setColor(color);
		g.fill3DRect(rto.getX(),rto.getY(),rto.getAncho(),rto.getAlto(),true);

	}

}